Queries all sales orders.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-orders \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-orders")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"assignedUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdByUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"currencyFactor": 123,
"deliveryCompleteStatus": 0,
"departureCountryCurrencyFactor": 123,
"departureCountryCurrencyIso": "<string>",
"externalSalesInvoiceType": 0,
"extraWeight": 123,
"isIntraCommunityDelivery": true,
"isCancelled": true,
"isPending": true,
"itemDescriptionType": 0,
"languageIso": "<string>",
"needsOnlineSynchronisation": true,
"readOnlyType": 0,
"salesOrderDate": "2023-11-07T05:31:56Z",
"salesOrderNumber": "<string>",
"salesOrderStatus": 123,
"shippingPriority": 123,
"isExemptFromVat": true,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesInvoiceStatus": 0,
"customerGroupName": "<string>",
"salesInvoiceCorrectionTotalGrossAmount": 123,
"alreadyPaidAmount": 123,
"totalQuantity": 123,
"paymentStatus": 0,
"deliveryStatus": 0,
"deliverability": 0,
"platformType": 123,
"accountsReceivableNumber": 123,
"companyName": "<string>",
"currencyIso": "<string>",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerNumber": "<string>",
"departureCountryIso": "<string>",
"ebayUsername": "<string>",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"externalSalesOrderNumber": "<string>",
"lastShippingDate": "2023-11-07T05:31:56Z",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentDueDateInDays": 123,
"processColourCode": 123,
"processColourName": "<string>",
"processStatusName": "<string>",
"salesChannelId": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopPaymentModule": "<string>",
"taxSetting": 0,
"totalGrossAmount": 123,
"onlineSalesOrderId": 123,
"comment": "<string>",
"printDate": "2023-11-07T05:31:56Z",
"mailDate": "2023-11-07T05:31:56Z",
"paymentMailDate": "2023-11-07T05:31:56Z",
"dateOfPayment": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"onHoldReasonName": "<string>",
"billingAddressCompany": "<string>",
"billingAddressAdditionalCompanyLine": "<string>",
"billingAddressSalutation": "<string>",
"billingAddressTitle": "<string>",
"billingAddressFirstName": "<string>",
"billingAddressLastName": "<string>",
"billingAddressStreet": "<string>",
"billingAddressAdditionalAddressLine": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountryName": "<string>",
"billingAddressPhoneNumber": "<string>",
"billingAddressMobilePhoneNumber": "<string>",
"billingAddressFax": "<string>",
"billingAddressEmailAddress": "<string>",
"billingAddressPostId": "<string>",
"billingAddressState": "<string>",
"billingAddressCountryIso": "<string>",
"shipmentAddressCompany": "<string>",
"shipmentAddressAdditionalCompanyLine": "<string>",
"shipmentAddressSalutation": "<string>",
"shipmentAddressTitle": "<string>",
"shipmentAddressFirstName": "<string>",
"shipmentAddressLastName": "<string>",
"shipmentAddressStreet": "<string>",
"shipmentAddressAdditionalAddressLine": "<string>",
"shipmentAddressPostalCode": "<string>",
"shipmentAddressCity": "<string>",
"shipmentAddressCountryName": "<string>",
"shipmentAddressPhoneNumber": "<string>",
"shipmentAddressMobilePhoneNumber": "<string>",
"shipmentAddressFax": "<string>",
"shipmentAddressEmailAddress": "<string>",
"shipmentAddressPostId": "<string>",
"shipmentAddressState": "<string>",
"shipmentAddressCountryIso": "<string>",
"assignedUserName": "<string>",
"salesChannelName": "<string>",
"paymentMethodName": "<string>",
"shippingMethodName": "<string>",
"shippingCountryTotalGrossAmount": 123,
"customerComment": "<string>",
"paymentReference": "<string>",
"stillToPay": 123,
"totalNetAmount": 123,
"wMSLocked": 123,
"wMSPartialShipment": 123,
"wMSPrePicking": 123,
"salesInvoiceNumbers": "<string>",
"cancelledDate": "2023-11-07T05:31:56Z",
"cancellationComment": "<string>",
"cancellationUserName": "<string>",
"cancellationReason": "<string>",
"amazonUserId": 123,
"createdByUserName": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Sales Order
Queries all sales orders.
Queries all sales orders.
Paged query. Query parameters: pageNumber (default 1), pageSize (default 100). Sorting via sortBy (comma-separated fields, applied as OrderBy then ThenBy) and sortDescending (default false). Date filtering per date field via After (greater than) and Before (less than).
GET
/
v2
/
sales-orders
Queries all sales orders.
curl --request GET \
--url https://api.jtl-cloud.com/erp/v2/sales-orders \
--header 'Authorization: Bearer <token>' \
--header 'x-tenant-id: <x-tenant-id>'import requests
url = "https://api.jtl-cloud.com/erp/v2/sales-orders"
headers = {
"x-tenant-id": "<x-tenant-id>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'x-tenant-id': '<x-tenant-id>', Authorization: 'Bearer <token>'}
};
fetch('https://api.jtl-cloud.com/erp/v2/sales-orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.jtl-cloud.com/erp/v2/sales-orders",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"x-tenant-id: <x-tenant-id>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.jtl-cloud.com/erp/v2/sales-orders"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-tenant-id", "<x-tenant-id>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.jtl-cloud.com/erp/v2/sales-orders")
.header("x-tenant-id", "<x-tenant-id>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.jtl-cloud.com/erp/v2/sales-orders")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-tenant-id"] = '<x-tenant-id>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"totalItems": 123,
"pageNumber": 123,
"pageSize": 123,
"items": [
{
"id": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"assignedUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"createdByUserId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"currencyFactor": 123,
"deliveryCompleteStatus": 0,
"departureCountryCurrencyFactor": 123,
"departureCountryCurrencyIso": "<string>",
"externalSalesInvoiceType": 0,
"extraWeight": 123,
"isIntraCommunityDelivery": true,
"isCancelled": true,
"isPending": true,
"itemDescriptionType": 0,
"languageIso": "<string>",
"needsOnlineSynchronisation": true,
"readOnlyType": 0,
"salesOrderDate": "2023-11-07T05:31:56Z",
"salesOrderNumber": "<string>",
"salesOrderStatus": 123,
"shippingPriority": 123,
"isExemptFromVat": true,
"companyId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"salesInvoiceStatus": 0,
"customerGroupName": "<string>",
"salesInvoiceCorrectionTotalGrossAmount": 123,
"alreadyPaidAmount": 123,
"totalQuantity": 123,
"paymentStatus": 0,
"deliveryStatus": 0,
"deliverability": 0,
"platformType": 123,
"accountsReceivableNumber": 123,
"companyName": "<string>",
"currencyIso": "<string>",
"customerId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"customerNumber": "<string>",
"departureCountryIso": "<string>",
"ebayUsername": "<string>",
"estimatedDeliveryDate": "2023-11-07T05:31:56Z",
"externalSalesOrderNumber": "<string>",
"lastShippingDate": "2023-11-07T05:31:56Z",
"onHoldReasonId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"paymentDueDateInDays": 123,
"processColourCode": 123,
"processColourName": "<string>",
"processStatusName": "<string>",
"salesChannelId": "<string>",
"platformId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shippingMethodId": "b45f6432-2462-4c6f-b00f-1d9d01000000",
"shopPaymentModule": "<string>",
"taxSetting": 0,
"totalGrossAmount": 123,
"onlineSalesOrderId": 123,
"comment": "<string>",
"printDate": "2023-11-07T05:31:56Z",
"mailDate": "2023-11-07T05:31:56Z",
"paymentMailDate": "2023-11-07T05:31:56Z",
"dateOfPayment": "2023-11-07T05:31:56Z",
"paymentDate": "2023-11-07T05:31:56Z",
"onHoldReasonName": "<string>",
"billingAddressCompany": "<string>",
"billingAddressAdditionalCompanyLine": "<string>",
"billingAddressSalutation": "<string>",
"billingAddressTitle": "<string>",
"billingAddressFirstName": "<string>",
"billingAddressLastName": "<string>",
"billingAddressStreet": "<string>",
"billingAddressAdditionalAddressLine": "<string>",
"billingAddressPostalCode": "<string>",
"billingAddressCity": "<string>",
"billingAddressCountryName": "<string>",
"billingAddressPhoneNumber": "<string>",
"billingAddressMobilePhoneNumber": "<string>",
"billingAddressFax": "<string>",
"billingAddressEmailAddress": "<string>",
"billingAddressPostId": "<string>",
"billingAddressState": "<string>",
"billingAddressCountryIso": "<string>",
"shipmentAddressCompany": "<string>",
"shipmentAddressAdditionalCompanyLine": "<string>",
"shipmentAddressSalutation": "<string>",
"shipmentAddressTitle": "<string>",
"shipmentAddressFirstName": "<string>",
"shipmentAddressLastName": "<string>",
"shipmentAddressStreet": "<string>",
"shipmentAddressAdditionalAddressLine": "<string>",
"shipmentAddressPostalCode": "<string>",
"shipmentAddressCity": "<string>",
"shipmentAddressCountryName": "<string>",
"shipmentAddressPhoneNumber": "<string>",
"shipmentAddressMobilePhoneNumber": "<string>",
"shipmentAddressFax": "<string>",
"shipmentAddressEmailAddress": "<string>",
"shipmentAddressPostId": "<string>",
"shipmentAddressState": "<string>",
"shipmentAddressCountryIso": "<string>",
"assignedUserName": "<string>",
"salesChannelName": "<string>",
"paymentMethodName": "<string>",
"shippingMethodName": "<string>",
"shippingCountryTotalGrossAmount": 123,
"customerComment": "<string>",
"paymentReference": "<string>",
"stillToPay": 123,
"totalNetAmount": 123,
"wMSLocked": 123,
"wMSPartialShipment": 123,
"wMSPrePicking": 123,
"salesInvoiceNumbers": "<string>",
"cancelledDate": "2023-11-07T05:31:56Z",
"cancellationComment": "<string>",
"cancellationUserName": "<string>",
"cancellationReason": "<string>",
"amazonUserId": 123,
"createdByUserName": "<string>"
}
],
"totalPages": 123,
"hasPreviousPage": true,
"hasNextPage": true,
"nextPageNumber": 123,
"previousPageNumber": 123
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}{
"type": "https://www.rfc-editor.org/rfc/rfc7231#section-6.5.1",
"title": "One or more validation errors occurred.",
"status": 400,
"instance": "/api/route",
"traceId": "0HMPNHL0JHL76:00000001",
"detail": "<string>",
"errors": [
{
"name": "Error or field name",
"reason": "Error reason",
"code": "<string>",
"severity": "<string>"
}
]
}Authorizations
oauth2-authorization-codeoauth2-client-credentials
Scopes
Query Parameters
Was this page helpful?